//
//  ContentView.swift
//  Dropera
//
//  Created by Howard Oakley on 18/05/2024.
//

import SwiftUI

struct ContentView: View {
    @State private var fileInfo: [String] = []
    
    var body: some View {
        let dropDelegate = DroperaDropDelegate(fileInfo: $fileInfo)
        
        ScrollView {
            Text(fileInfo.joined(separator: "\n\n"))
        }
        
        .frame(minWidth: 600, minHeight: 200, alignment: .center)
        .onDrop(of: ["public.file-url"], delegate: dropDelegate)
        
        .background(alignment: .center) {
            if fileInfo.isEmpty {
                Image(systemName: "doc.badge.plus")
                    .resizable()
                    .frame(width: 150.0, height: 150.0)
                    .symbolRenderingMode(.multicolor)
            }
        }
    }
}

#Preview {
    ContentView()
}
