//
//  DroperaDropDelegate.swift
//  Dropera
//
//  Created by Howard Oakley on 18/05/2024.
//

import SwiftUI

struct DroperaDropDelegate: DropDelegate {
    @Binding var fileInfo: [String]
    
    func validateDrop(info: DropInfo) -> Bool {
        return info.hasItemsConforming(to: ["public.file-url"])
    }

/*
    func dropEntered(info: DropInfo) {
        NSSound(named: "Tink")?.play()
    }
*/
    
    func performDrop(info: DropInfo) -> Bool {
//        NSSound(named: "Sosumi")?.play()
        fileInfo = []
        var gotFile = false
        for itemProvider in info.itemProviders(for: ["public.file-url"]) {
            itemProvider.loadItem(forTypeIdentifier: "public.file-url", options: nil) { (item, error) in
                if let data = item as? Data {
                    if let url = URL(dataRepresentation: data, relativeTo: nil) {
                        let theInfo = "File: " + url.lastPathComponent + "\nPath: " + url.path + "\n"
                        let theSizes = FileInfo().reportSizes(url: url)
                        DispatchQueue.main.async {
                            fileInfo.append(theInfo + theSizes)
                            gotFile = true
                        }
                    }
                }
            }
        }
        return gotFile
    }
    
/*    
    func dropUpdated(info: DropInfo) -> DropProposal? {
        return nil
    }
    
    func dropExited(info: DropInfo) {
        
    }
*/
    
}
